package com.ssm.service.business;

import com.ssm.model.business.SmsUser;
import com.ssm.util.page.PagedResult;

public interface SmsUserService {

	/**
	 * 查询用户
	 * @param smsUser
	 * @param pageNo
	 * @param pageSize
	 * @return
	 */
	PagedResult<SmsUser> selectSmsUser(SmsUser smsUser, Integer pageNo,
			Integer pageSize);

	/**
	 * 添加用户
	 * @param smsUser
	 * @return
	 */
	int insertSelective(SmsUser smsUser);

	/**
	 * 删除用户信息
	 * @param valueOf
	 * @return
	 */
	int deleteByPrimaryKey(Integer smsUserId);

	SmsUser selectSmsUserByUserId(Integer userid);

	int updateSmsUserSave(SmsUser smsUser);

	/**
	 * 根据手机号码查询数量
	 * @param phoen
	 * @return
	 */
	int selectSmsUserCountByPhoen(String phoen);

	
}
